package com.cyksj.service.pay;

import com.alipay.api.AlipayResponse;
import com.cyksj.dto.Result;
import com.cyksj.model.request.ApplyMoneyReq;
import com.cyksj.model.request.TransferAccountsReq;
import com.cyksj.model.request.UserMirrorShopApplyMoneyReq;
import com.cyksj.model.request.YhShopApplyMoneyReq;

/*
 *项目名: yhlxj
 *文件名: TransferFuncService
 *创建者: JavaZou
 *创建时间:2023/9/20 18:54
 */
public interface TransferFuncService {

	/**
	 * 分销渠道提现
	 */
	Result distributeApply(ApplyMoneyReq applyMoneyReq) throws Exception;

	/**
	 * 小店店铺提现
	 */
	Result yhShopDistributeApply(YhShopApplyMoneyReq applyMoneyReq) throws Exception;


	/**
	 * 支付宝红包转账
	 */
	AlipayResponse transferAccounts(TransferAccountsReq transferAccountsReq) throws Exception;

	Result<String> subApplyMoney(ApplyMoneyReq applyMoneyReq) throws Exception;

	Result<String> userMirrorShopDistributeApply(UserMirrorShopApplyMoneyReq applyMoneyReq);
}
